Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core
Interface IFeatureFactory

All Known Implementing Classes:
  BaseFeatureFactory

public interface IFeatureFactory

Feature factory interface. A feature factory is used to construct new instances of concrete features.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `BaseFeatureFactory`

Method Summary
`IFeature` | `createFeature(URL url, ISite site)` Deprecated. use createFeature(URL, ISite, IProgressMonitor) instead
`IFeature` | `createFeature(URL url, ISite site, IProgressMonitor monitor)` Returns a feature defined by the supplied URL.

Method Detail

### createFeature

    public IFeature createFeature(URL url,
                                  ISite site)
                           throws CoreException

  Deprecated. use createFeature(URL, ISite, IProgressMonitor) instead

  Returns a feature defined by the supplied URL. The feature is associated with the specified site.

  The actual interpretation of the URL is feature-type specific. In most cases the URL will point to some feature-specific file that can be used (directly or indirectly) to construct the feature object.

  Parameters:
    `url` - URL interpreted by the feature
    `site` - site to be associated with the feature
  Returns:
    concrete feature object
  Throws:
    `CoreException`
  Since:
    2.0

### createFeature

    public IFeature createFeature(URL url,
                                  ISite site,
                                  IProgressMonitor monitor)
                           throws CoreException

  Returns a feature defined by the supplied URL. The feature is associated with the specified site.

  The actual interpretation of the URL is feature-type specific. In most cases the URL will point to some feature-specific file that can be used (directly or indirectly) to construct the feature object.

  Parameters:
    `url` - URL interpreted by the feature
    `site` - site to be associated with the feature
  Returns:
    concrete feature object
  Throws:
    `CoreException`
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.